Subject: [315] Hiding individual files in a directory tree...

From: "May we be forgiving of our systems' faults..." <[email-masked]>
Date: Mon, 08 Aug 1994 14:13:00 -0400 (EDT)

New to wu-ftpd...

	I would like to hide files from dir & ls commands in our anonymous
	ftp server.  Is there some filter I can use so that the files are
	not displayed?  In general, I do not want .<filename> files to get
	displayed;  although I am only concerned about the ~ftp/ directory
	and do not mind if users can see .<filename> in other directories.
	I tried playing with path filters, but that did not seem to work.
	Any ideas?  Is this possible?  Thanks!

								Sean.

+--------------------------------------+---------------------------------------+
|  Sean Gonzalez - [email-masked]   |      ZIS Postmaster & Webmaster       |
+--------------------------------------+---------------------------------------+
|       Ten Presidents Landing         |   Ziff-Davis Publishing WWW server    |
|          Medford, MA 02155           |          http://www.ziff.com          |
|            617.393.3252              |                                       |
+--------------------------------------+---------------------------------------+

L.A.T.R.:  HI Rh+W B 02 Y L W- C++ I+++ T+ A+ E H+ S++ V++ F Q++ P B++ PA++ PL--
PATCHOULI:  DM B+Wo C 09 X L++ W++ C-- I+++ T++/-- A--- E+++ H S+ V F- Q+++ \
	     P- B-- PA PL--

---

From: [email-masked] (Harald Milz)
Date: Tue, 09 Aug 1994 08:41 +0100 (MET)

: > 	I would like to hide files from dir & ls commands in our anonymous
: > 	ftp server.  Is there some filter I can use so that the files are
: > 	not displayed?  In general, I do not want .<filename> files to get
: > 	displayed;  although I am only concerned about the ~ftp/ directory
: > 	and do not mind if users can see .<filename> in other directories.
: > 	I tried playing with path filters, but that did not seem to work.
: > 	Any ideas?  Is this possible?  Thanks!

A simple solution would be to chmod 111 the respective directory you won't
show. That's what I made with our private/ directory. 

--
Harald Milz ([email-masked])